Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Для пакетной обработки больше подойдет метод Application.OpenDocumentFile

Для подавления сообщений помогут
1) обработчик события DialogBoxShowing (есть у UIControlledApplication и UIApplication)
2) Failure processing api: http://thebuildingcoder.typepad.com/blog/about-the-author.html#5.32 там и по 1 пункту есть инфа
2
Или это можно сделать не прибегая к программированию
Где -то в настройках ревите указать открывать файлы без уведомления.
3
в цикле открываю файлы Ревит
методом
OpenAndActivateDocument

В некоторых случаях выскакиваю различного рода уведомления.
Возможно открывать файлы без этих уведомлений.
А то приходится сидеть и нажимать соотв. выбор действия.
4
Inventor API / Re: Система координат Inventor
« Последний ответ от Александр Ривилис 18-09-2018, 11:41:11 »
Михаил, конечно подскажет точнее. Но похоже вам следует получить информацию о камере (http://help.autodesk.com/view/INVNTOR/2018/ENU/?guid=GUID-AF417DB3-323F-40D6-8C8C-35D73611DD4E) и её методах ViewToModelSpace, ModelToViewSpace и свойстве UpVector.
Но вообще-то по большому счету вверх может не быть направлена ни одна из осей - ориентация взгляда может быть совершенно произвольной.
5
Inventor API / Re: Система координат Inventor
« Последний ответ от Vladislav 18-09-2018, 11:21:26 »
Для этого снова взгляните на мои скриншоты.
Модель степлера в результате конвертации необходимо будет повернуть на 90 градусов вокруг оси Х, так как для ее правильного отображения(верх степлера-сверху, низ-снизу)
в Inventor предполагается, что ось Y направлена вверх(так установлено направление взгляда в сборке). Модель системного блока, в свою очередь, поворачивать не придется, так как
для его отображения (верх-сверху, низ-снизу) в Inventor предполагается, что вверх направлена ось Z. Напомню, что в моей программе вертикальная ось всегда строго Z.
Вертикальность оси Z критична, т.к. программа накапливает в одной сцене модели из разных САПР и ориентация этих моделей должна быть одинаковой.
Прошу прощения за спутанность объяснений и благодарю за ответ.
6
Про поддержку ARX на Маке прочитал здесь: https://jtbworld.com/autocad-for-mac
Ну, кстати, там же написано:
Цитировать
Do third-party applications based on previous Windows versions of AutoCAD software work with AutoCAD 2011 for Mac software?
Most LISP routines that work in AutoCAD 2011 will run without modification in
AutoCAD 2011 for Mac. LISP routines that are dependent upon DCL or COM
interfaces such as VLA or VLAX are not supported in AutoCAD 2011 for Mac.
Existing ObjectARX applications will require some effort on the behalf of the
developer to work in AutoCAD for Mac. At a minimum, ObjectARX applications
need to be recompiled for Mac OS X.
The API (application programming interface)
libraries used by those applications, and the availability of those libraries on Mac
OS X, will give some indication of the modification necessary for the application
to work in AutoCAD 2011 for Mac. For example, the ObjectARX sample
applications compile without modification. Conversely, an application making
multiple win32 system calls will need to be modified.
7
Посмотрел я внимательнее код. Там есть ошибка, которая приводит к бесконечной рекурсии. Нужно заменить:
Код - C++ [Выбрать]
  1. = AcDbEllipse::wblockClone(pOwnerObject,
на
Код - C++ [Выбрать]
  1. = AcDbEllipse::subWblockClone(pOwnerObject,
Я смотрел в ObjectARX 2019, но думаю что в 2014 та же ошибка.
8
Все получается успешно пока не начинаю копировать эти объекты в буфер - происходит исключение
Какое?
Мне кажется, что то не так с кодом subWblockClone.
Запусти под отладчиком и проверь там ошибка или нет.
Уже в начальных строках появляется переменная pspace и инициализируется на AcDbObjectId::kNull, а потом появляется оператор  if (pspace == AcDbObjectId::kNull), хотя переменная итак kNull.
Хотел понять как работает эта функция.
Хотя это и не совсем логично, но эта часть работает правильно. И переменная static, т.е. инициализируется только один раз, т.е. при втором вызове этого метода присвоение AcDbObjectId::kNull не происходит.

9
VBA / Re: Видеоуроки AutoCAD VBA
« Последний ответ от Владимир Шу 18-09-2018, 07:52:59 »
Подскажите пожалуйста, как добавить в Ваш код VBA такой параметр как видимость динамического блока (понятно, что считывание будет происходить с того же файла Excel, где в отдельной колонке будут название "видимости" каждого вставляемого блока). Заранее благодарен за ответ. 
Посмотрите в районе 46-й строки указанного кода, посмотрите в отладчике какие значения есть у параметра видимости и все станет очевидно.

Off-Topic: показать

Библиотека экспорта и импорта атрибутов и динамических свойств блоков Автокада в csv файл, для правки этих свойств во внешних программах : https://github.com/BoxaShu/dynIN_dynOUT

10
ObjectARX / Сбой при копировании в буфер примитивов в "referenc"
« Последний ответ от Эд 18-09-2018, 07:39:53 »
Добрый день! Пробовал разобрать пример из objectarx 2014 "referenc". Все получается успешно пока не начинаю копировать эти объекты в буфер - происходит исключение. Мне кажется, что то не так с кодом subWblockClone. Уже в начальных строках появляется переменная pspace и инициализируется на AcDbObjectId::kNull, а потом появляется оператор  if (pspace == AcDbObjectId::kNull), хотя переменная итак kNull.
Хотел понять как работает эта функция.


Страницы: [1] 2 3 ... 10